﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;

public partial class RadPersistenceFramework_PersistenceManagerUniqueKey_WebUserControl : System.Web.UI.UserControl
{
    protected void Button1_Click(object sender, EventArgs e)
    {
        RadPersistenceManager PersistenceManager1 = RadPersistenceManager.GetCurrent(Page);
        PersistenceManager1.StorageProviderKey = "GridState";
        PersistenceManager1.SaveState();
    }
    protected void Button2_Click(object sender, EventArgs e)
    {
        RadPersistenceManager PersistenceManager1 = RadPersistenceManager.GetCurrent(Page);
        PersistenceManager1.StorageProviderKey = "GridState";
        PersistenceManager1.LoadState();
        RadGrid1.Rebind();
    }

    protected void RadGrid1_NeedDataSource(object sender, Telerik.Web.UI.GridNeedDataSourceEventArgs e)
    {
        RadGrid1.DataSource = GeneratingTable();
    }
    private DataTable GeneratingTable()
    {
        DataTable table = new DataTable();
        table.Columns.Add("Column1");
        table.Columns.Add("Column2");
        table.Columns.Add("Column3");
        table.Columns.Add("Column4");

        for (int i = 0; i < 20; i++)
        {
            table.Rows.Add("Col1Row" + i, "Col2Row" + i, "Col3Row" + i, "Col4Row" + i);
        }

        return table;
    }
    protected void RadGrid1_PreRender(object sender, EventArgs e)
    {
    }
}